/***************************************************************************
                               Public Domain
 ---------------------------------------------------------------------------
   System   	  : IBM PC/AT and compatibles
   Programm-Modul : OS9 Format
 ---------------------------------------------------------------------------
   file-name	  : mdos.h
   date     	  : 21.11.1993
   last change	  : 21.11.1993
   version   	  : 1.00
   authors  	  : Wilfried Weigelt
   last author	  : Wilfried Weigelt

   description	  : Definitions related to MS-DOS

   inputs         : ----
   outputs        : ----
   return value   : ---- 

   history:		  : 
   Initial Version                                             21.11.93  WEW
****************************************************************************/
#define INCMDOS 1

#ifndef BOOLEAN
# define BOOLEAN int
# define TRUE 1
# define FALSE 0
#define OS9 TRUE
#define MSDOS FALSE
#define INIT (-1)
#endif

#define READ 2
#define WRITE 3
#define FORMAT 8
#define RETRIES 5

#define BPSEC 128
#define SCODE128    0
#define SCODE256    1
#define SCODE512    2
#define SCODE1024   3


#define LW_TYP_A (char huge *)0x490
#define LW_TYP_B (char huge *)0x491


/* Definitions for Bitpositions of DOS Attributes */
#define DOS_RO 0          /* Read Only Attribut MS-DOS */
#define DOS_HD 1          /* Hidden File */
#define DOS_SF 2          /* System File */
#define DOS_VI 3          /* Volume ID */
#define DOS_DI 4          /* Directory */
#define DOS_AR 5          /* Archive */
#define DOS_R1 6          /* Resered 1 */
#define DOS_R2 7          /* Reserved 2 */

typedef struct                /* Disk parameter Block for PC-BIOS  */
{
   unsigned char srt;              /* Bits 7-5 = Stepper Time ( SRT ) */
				   /* Bits 4-0 = Head unload Time (HUT) */
   unsigned char hlt_nd;           /* Bits 7-1 = Head load time (HLT) */
				   /* Bit 0 DMA/NON DMA Mode immer 0 */
   unsigned char motor;            /* Motor Nachlaufzeit */
   unsigned char bytes_per_sector; /* Bytes per Sector 1 = 256 2 = 512 */
   unsigned char last_sector;      /* Last Sector (EOT) */
   unsigned char gap_lenght;       /* GAP lenhgt read/write (GPL) */
   unsigned char data_lenght;      /* Data Lenght (DTL) everytime 255 */
   unsigned char format_gap_lenght;  /* Gap lenght for  format */
   unsigned char filler_byte;        /* fillerbyte for format formatieren */
   unsigned char head_settle_time;
   unsigned char motor_start_time;
} dpb;

typedef struct
{
    unsigned char track;
    unsigned char head;
    unsigned char sects;
    unsigned char bps;
} fmt_record;
     

typedef struct
{
    int lwa;         /* code for drive a: like CMOS Setup */
    int lwb;         /* code for drive b: like CMOS Setup */
} drv_typ;

/* */